ICDSOFT

Новини

Абонирай се

Нов дизайн на icdsoft.bg

Нашият сайт icdsoft.bg е със съвсем нова визия и разширена функционалност. Добавихме възможност за поръчка на предлаганите от нас VPS планове и SSL сертификати, както и за лесна смяна на езика, разширихме списъка от предлагани домейни, изградихме секция с често задавани въпроси и редица други. Надяваме се да Ви хареса.


Сертификати Let's Encrypt

Днес разработеният от нас Контролен панел се сдоби с нова функционалност – софтуер за управление на Let's Encrypt сертификати. Нашите клиенти ще могат да инсталират вече Let's Encrypt сертификати за всеки домейн, който хостват на нашите сървъри.

Let's Encrypt е издател на безплатни SSL сертификати, валидирани на база име на домейн. Целта на Let's Encrypt e да предостави сигурна комуникация между потребителите и сървърите и да наложи криптираната комуникация като стандарт в интернет.

Новата функционалност в Контролния панел осигурява много лесна инсталация и управление на Let's Encrypt сертификатите – заявката за нов сертификат се инициира само с един клик, а последващите процеси на валидация и подновяване се извършват автоматично от страна на сървъра.

Използването на Let's Encrypt сертификати е напълно безплатно за нашите клиенти.


Обновяване на First Class VPS хостинг плана

Нашият план First Class бе създаден преди няколко години с основната цел да задоволи изискванията на сайтове, които са надраснали споделената сървърна среда, но техните собственици предпочитат да не сменят хостинг доставчика си.

Постоянно работим над подобряване на спецификациите на плана и VPS сървърите. В тази връзка от днес всички нови и съществуващи First Class акаунти имат 6 GB налична RAM памет (досега беше 4 GB). Съответно двойният First Class план от днес разполага с 12 GB RAM. Цените на плановете остават същите.

В допълнение, нашите системни администратори наскоро въведоха FastCGI и OPCache за First Class плановете. FastCGI и OPCache значително подобряват производителността на PHP скриптовете и са съвместими с повечето популярни софтуерни приложения.

С тези подобрения се надяваме, че нашите клиенти с много посещавани и ресурсоемки сайтове ще имат повече пространство да развиват и разрастват бизнеса си.


Критична уязвимост в ImageMagick открита и незабавно отстранена на нашите сървъри

Източници в интернет наскоро разпространиха информация за критична уязвимост в софтуерната библиотека ImageMagick. ImageMagick е популярен софтуер за обработка на изображения за уеб сайтове и се използва от множество плъгини и приложения. Въпросната уязвимост позволява изпълняване на код от разстояние и манипулиране на файлове на сървъра.

Сървърната сигурност е от огромна важност и системните ни администратори непрекъснато следят бюлетини, свързани със сигурността на използвания софтуер, за да постигнат възможно най-голяма безопасност за клиентските данни и приложения.

За да се справят с въпросната уязвимост, нашите системни администратори незабавно въведоха ограничения в работата на ImageMagick на всички наши сървъри. Допълнителните ограничения блокират определени функции на ImageMagick, като инклузията на данни от разстояние и операции с mvg файлове. Въведените ограничения напълно отстраняват проблемите, свързани с въпросната уязвимост. Съществува риск, макар и минимален, ограниченията да възпрепятстват работата на някои ImageMagick функции, използвани от приложения и плъгини за обработка на изображения. Независимо от това смятаме, че ползата от допълнителните ограничения надвишава този риск, тъй като осигуряването на безопасност за данните на нашите клиенти е сред най-високите ни приоритети.

Обезопасена версия на ImageMagick без допълнителни ограничения ще бъде сложена на всички наши сървъри, веднага след като такава бъде издадена от разработчиците на ImageMagick.


PHP 5.6 и PHP 7.0 на всички сървъри

В последните няколко седмици нашите системни администратори постепенно заменяха PHP 5.5 с PHP 5.6 и от днес PHP 5.6 e стандартният PHP интерпретатор на всички наши сървъри.

С цел да предоставим най-новите технологии на нашите клиенти, инсталирахме и PHP 7.0. Клиентите ни могат да използват PHP 7.0 както за целия акаунт, така и само за определени директории.

PHP 5.3 е все още достъпен на нашите сървъри, за да позволим на клиентите ни с по-стар софтуер да преминат към по-актуална версия на PHP. PHP 5.3 ще е на разположение само за ограничен период от време, тъй като е в края на жизнения си цикъл.